<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:03 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
MemcachedCacheEntryFactoryImpl (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MemcachedCacheEntryFactoryImpl (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MemcachedCacheEntryFactoryImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryImpl.html" title="class in org.apache.http.impl.client.cache.memcached"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MemcachedCacheEntryFactoryImpl.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client.cache.memcached</FONT>
<BR>
Class MemcachedCacheEntryFactoryImpl</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.cache.memcached.MemcachedCacheEntryFactoryImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntryFactory</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>MemcachedCacheEntryFactoryImpl</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntryFactory</A></DL>
</PRE>

<P>
Default implementation of <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached"><CODE>MemcachedCacheEntryFactory</CODE></A>.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html#MemcachedCacheEntryFactoryImpl()">MemcachedCacheEntryFactoryImpl</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntry</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html#getMemcachedCacheEntry(java.lang.String, org.apache.http.client.cache.HttpCacheEntry)">getMemcachedCacheEntry</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;key,
                       <A HREF="../../../../../../../org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache">HttpCacheEntry</A>&nbsp;entry)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached"><CODE>MemcachedCacheEntry</CODE></A> for storing the
 given <A HREF="../../../../../../../org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache"><CODE>HttpCacheEntry</CODE></A> under the given storage key.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntry</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html#getUnsetCacheEntry()">getUnsetCacheEntry</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an "unset" <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached"><CODE>MemcachedCacheEntry</CODE></A> ready to accept
 a serialized representation via <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html#set(byte[])"><CODE>MemcachedCacheEntry.set(byte[])</CODE></A>
 and deserialize it into a storage key and a <A HREF="../../../../../../../org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache"><CODE>HttpCacheEntry</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MemcachedCacheEntryFactoryImpl()"><!-- --></A><H3>
MemcachedCacheEntryFactoryImpl</H3>
<PRE>
public <B>MemcachedCacheEntryFactoryImpl</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getMemcachedCacheEntry(java.lang.String, org.apache.http.client.cache.HttpCacheEntry)"><!-- --></A><H3>
getMemcachedCacheEntry</H3>
<PRE>
public <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntry</A> <B>getMemcachedCacheEntry</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;key,
                                                  <A HREF="../../../../../../../org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache">HttpCacheEntry</A>&nbsp;entry)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html#getMemcachedCacheEntry(java.lang.String, org.apache.http.client.cache.HttpCacheEntry)">MemcachedCacheEntryFactory</A></CODE></B></DD>
<DD>Creates a new <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached"><CODE>MemcachedCacheEntry</CODE></A> for storing the
 given <A HREF="../../../../../../../org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache"><CODE>HttpCacheEntry</CODE></A> under the given storage key. Since
 we are hashing storage keys into cache keys to accommodate
 limitations in memcached's key space, it is possible to have
 cache collisions. Therefore, we store the storage key along
 with the <code>HttpCacheEntry</code> so it can be compared
 on retrieval and thus detect collisions.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html#getMemcachedCacheEntry(java.lang.String, org.apache.http.client.cache.HttpCacheEntry)">getMemcachedCacheEntry</A></CODE> in interface <CODE><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntryFactory</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - storage key under which the entry will 
   be logically stored<DD><CODE>entry</CODE> - the cache entry to store
<DT><B>Returns:</B><DD>a <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached"><CODE>MemcachedCacheEntry</CODE></A> ready to provide
   a serialized representation</DL>
</DD>
</DL>
<HR>

<A NAME="getUnsetCacheEntry()"><!-- --></A><H3>
getUnsetCacheEntry</H3>
<PRE>
public <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntry</A> <B>getUnsetCacheEntry</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html#getUnsetCacheEntry()">MemcachedCacheEntryFactory</A></CODE></B></DD>
<DD>Creates an "unset" <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html" title="interface in org.apache.http.impl.client.cache.memcached"><CODE>MemcachedCacheEntry</CODE></A> ready to accept
 a serialized representation via <A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntry.html#set(byte[])"><CODE>MemcachedCacheEntry.set(byte[])</CODE></A>
 and deserialize it into a storage key and a <A HREF="../../../../../../../org/apache/http/client/cache/HttpCacheEntry.html" title="class in org.apache.http.client.cache"><CODE>HttpCacheEntry</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html#getUnsetCacheEntry()">getUnsetCacheEntry</A></CODE> in interface <CODE><A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached">MemcachedCacheEntryFactory</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>MemcachedCacheEntry</code></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MemcachedCacheEntryFactoryImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactory.html" title="interface in org.apache.http.impl.client.cache.memcached"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryImpl.html" title="class in org.apache.http.impl.client.cache.memcached"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MemcachedCacheEntryFactoryImpl.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
